# Function cif::pdb::fixup_pdbx(file&, const validator&)

- Defined in File pdb.hpp

## Function Documentation

void cif::pdb::fixup_pdbx(file &pdbx_file, const validator &v)

  Quickly fix a PDB file that lacks some often needed categories.

  This differs from reconstruct_pdbx which does a much more thorough job

  Parameters:

    - pdbx_file – The cif::file that hopefully contains some valid data

    - v – The validator to use